## wxStaticBitmap

A static bitmap control displays a bitmap. It is meant for display of the small icons in the dialog boxes and is not meant to be a general purpose image display control. In particular, under Windows 9x the size of bitmap is limited to 64*64 pixels and thus you should use your own control if you want to display larger images portably.

Derived from

wxControl
wxWindow
wxEvtHandler
wxObject

Include files

<wx/statbmp.h>

Window styles

There are no special styles for this control.

See also window styles overview.

See also

wxStaticBitmap, wxStaticBox

Remarks

The bitmap to be displayed should have a small number of colours, such as 16, to avoid palette problems.

Members

wxStaticBitmap::wxStaticBitmap
wxStaticBitmap::Create
wxStaticBitmap::GetBitmap
wxStaticBitmap::GetIcon
wxStaticBitmap::SetBitmap
wxStaticBitmap::SetIcon

### wxStaticBitmap::wxStaticBitmap

wxStaticBitmap()

Default constructor.

wxStaticBitmap(wxWindow* parent, wxWindowID id, const wxBitmap& label, const wxPoint& pos = wxDefaultPosition, const wxSize& size = wxDefaultSize, long style = 0, const wxString& name = "staticBitmap")

Constructor, creating and showing a static bitmap control.

Parameters

parent

Parent window. Should not be NULL.

id

Control identifier. A value of -1 denotes a default value.

label

Bitmap label.

pos

Window position.

size

Window size.

style

Window style. See wxStaticBitmap.

name

Window name.

See also

wxStaticBitmap::Create

### wxStaticBitmap::Create

bool Create(wxWindow* parent, wxWindowID id, const wxBitmap& label, const wxPoint& pos = wxDefaultPosition, const wxSize& size = wxDefaultSize, long style = 0, const wxString& name = "staticBitmap")

Creation function, for two-step construction. For details see wxStaticBitmap::wxStaticBitmap.

### wxStaticBitmap::GetBitmap

wxBitmap GetBitmap() const

Returns the bitmap currently used in the control. Notice that this method can be called even if SetIcon had been used.

See also

wxStaticBitmap::SetBitmap

### wxStaticBitmap::GetIcon

wxIcon GetIcon() const

Returns the icon currently used in the control. Notice that this method can only be called if SetIcon had been used: an icon can't be retrieved from the control if a bitmap had been set (using SetBitmap).

See also

wxStaticBitmap::SetIcon

### wxStaticBitmap::SetBitmap

virtual void SetBitmap(const wxBitmap& label)

Sets the bitmap label.

Parameters

label

The new bitmap.

See also

wxStaticBitmap::GetBitmap

### wxStaticBitmap::SetIcon

virtual void SetIcon(const wxIcon& label)

Sets the label to the given icon.

Parameters

label

The new icon.

See also

wxStaticBitmap::GetIcon